<h3>Mon profil</h3>
<p style="color: red;">Avertissement : les fonctionalités de cette page sont actuellement en développement bien qu'étant fonctionelles.</p>
<p>Vous pouvez modifier à partir de cette page vos informations personelles.</p>
<h4>Ajouter votre site dans l'annuaire des sites Kelio.org</h4>
<?php
$ListTable = $MySql->Select ("*", "domaine", "Utilisateur='".$_SESSION['Utilisateur']."' AND Status='2'", "", "", "", "");

if ( VerifPOST("Domaine", "#^[a-z0-9.-]+\.[a-z]+$#", 5, 120) == "ChaineValide" )
{
$ListDirectory = $Directory->Select ("*", "3i8d_link", "url='http://".$_POST['Domaine']."'", "", "", "", "");
$CountEnregistrement = count ($ListDirectory);

	if ( $ListDirectory != FALSE )
		{
		echo '<p>ERREUR : Votre site <strong>'.$_POST["Domaine"].'</strong> est déjà présent dans l\'annuaire</p>';
		echo '<p>Pour modifier votre site ou le supprimer de l\'annuaire, <a href="http://www.kelio.org/contact.html">contactez-nous</a>.</p>';
		}
	else
		{
		$Conteneur = "name, url, description, state, category, image, date";
		$Contenu   = "'".$_POST['Name']."', 'http://".$_POST['Domaine']."','".$_POST['Description']."', '4', '8', 'http://open.thumbshots.org/image.pxf?url=http://".$_POST['Domaine']."', ''";
		$InsertDirectory = $Directory->Insert ($Conteneur,$Contenu, "3i8d_link");
		
		if ( $InsertDirectory != FALSE )
			{
			echo '<p>Votre site <strong>'.$_POST["Domaine"].'</strong> a été ajouté avec succès dans l\'annuaire</p>';
			}
		else
			{
			echo '<p>Une erreur est survenue</p>';
			}
		}
}
else
{
echo '<table><form action="Page-Compte-Profile.html" method="post">
<tr><td>Votre site web : <select name="Domaine" style="border: 0; border-bottom: #006633 1px solid; width:100%;">
<option selected="selected" value="'.$_SESSION["Utilisateur"].'.kelio.org">'.$_SESSION["Utilisateur"].'.kelio.org</option>';
if ( $ListTable == FALSE)
	{
	$TotalEnregistement = 0;
	}
else
	{
	$TotalEnregistement = count ($ListTable);
	}
	
for ($i=0; $i < $TotalEnregistement; $i++)
	{
	echo "<option value='".$ListTable[$i]["Adresse"]."'>".$ListTable[$i]["Adresse"]."</option>\n";
	}
echo '</select></td></tr>
<tr><td>Nom du site : <input type="text" name="Name" style="border: 0; border-bottom: #006633 1px solid; width:100%;" maxlength="30" /></td></tr>
<tr><td>Description du site : <input type="text" name="Description" style="border: 0; border-bottom: #006633 1px solid; width:100%;" maxlength="90" /></td></tr>
<tr><td><input type="submit" value="Valider" style=" border: #006633 1px solid;" /></td></tr>
</form></table>';
}
?>
<h4>Modifier votre adresse email</h4>
<p>Pour modifier votre adresse email, <a href="http://www.kelio.org/contact.html">contactez-nous</a>.</p>